Package org.apache.cayenne.template.parser

# Class ASTIntScalar

java.lang.Object
org.apache.cayenne.template.parser.SimpleNode
org.apache.cayenne.template.parser.ScalarNode<Long>
org.apache.cayenne.template.parser.ASTIntScalar

All Implemented Interfaces:
  `ExpressionNode`, `Node`

public class ASTIntScalar extends ScalarNode<Long>

Since:
  4.1

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.template.parser.SimpleNode

  `children, id, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ASTIntScalar(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluateAsBoolean(Context context)`
  `double`
  `evaluateAsDouble(Context context)`
  `long`
  `evaluateAsLong(Context context)`

  ### Methods inherited from class org.apache.cayenne.template.parser.ScalarNode

  `evaluate, evaluateAsObject, evaluateAsString, getValue, setValue`

  ### Methods inherited from class org.apache.cayenne.template.parser.SimpleNode

  `dump, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ASTIntScalar

    public ASTIntScalar(int id)

- ## Method Details

  - ### evaluateAsBoolean

    public boolean evaluateAsBoolean(Context context)
    Specified by:
      `evaluateAsBoolean` in interface `ExpressionNode`
    Overrides:
      `evaluateAsBoolean` in class `ScalarNode<Long>`

  - ### evaluateAsLong

    public long evaluateAsLong(Context context)
    Specified by:
      `evaluateAsLong` in interface `ExpressionNode`
    Overrides:
      `evaluateAsLong` in class `ScalarNode<Long>`

  - ### evaluateAsDouble

    public double evaluateAsDouble(Context context)
    Specified by:
      `evaluateAsDouble` in interface `ExpressionNode`
    Overrides:
      `evaluateAsDouble` in class `ScalarNode<Long>`